"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Sync = _interopRequireDefault(require("../Sync"));

// Copyright 2017-2018 @polkadot/client-db authors & contributors
// This software may be modified and distributed under the terms
// of the ISC license. See the LICENSE file for details.
class HashBaseDb {
  constructor(type = 'memory', path = '.') {
    this.wrapped = void 0;
    this.wrapped = new _Sync.default(type, path, false);
  }

  del(key) {
    this.wrapped.del(key);
  }

  get(key) {
    return this.wrapped.get(key);
  }

  put(key, value) {
    this.wrapped.put(key, value);
  }

  terminate() {
    return this.wrapped.terminate();
  }

}

exports.default = HashBaseDb;