import { TrieDb, DbConfig$Type } from '../types';
export default class SyncDb implements TrieDb {
    private worker;
    constructor(type?: DbConfig$Type, dbPath?: string, isTrie?: boolean);
    checkpoint(): void;
    commit(): void;
    revert(): void;
    del(key: Uint8Array): void;
    get(key: Uint8Array): Uint8Array | null;
    put(key: Uint8Array, value: Uint8Array): void;
    getRoot(): Uint8Array;
    setRoot(value: Uint8Array): void;
    terminate(): Promise<void>;
    private _waitOnStart;
    private _waitOnRead;
    private _executeWrite;
    private _executeRead;
    private _readSize;
    private _readBuffer;
}
